Bug 1705309 - Freecad currently needs pivy python package on python 2.
Summary: Freecad currently needs pivy python package on python 2.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1708853 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-02 00:06 UTC by Victor Bogado
Modified: 2019-06-07 23:57 UTC (History)
5 users (show)

Fixed In Version: freecad-0.18.2-3.fc29 freecad-0.18.2-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 02:59:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Victor Bogado 2019-05-02 00:06:55 UTC
Description of problem:
Some of the funcionality of FreeCAD needs the pivy python package, it seems that this package has been removed as part of the switch to python 3 as described here : https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3


Version-Release number of selected component (if applicable):
freecad-0.18-2.fc30.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. install freecad from yum.
2. open the application.
3. From the view menu enable the following pannels "Report view" and "python console"
4. Change from the "Start" to the "Draft" workbench.

Actual results:
Report view shows "Error: Pivy not found, Draft workbench will be disabled."

Expected results:
The Draft workbench should work.

Additional info:
On the Python console view it is possible to check that the application is using version 2.7.16. Searching for pivy with the `dnf` command yield only the version compiled for python 3.

Comment 1 Victor Bogado 2019-05-02 00:12:49 UTC
According to this wiki page https://www.freecadweb.org/wiki/Python_3 (update on Feb 2019, according to it), while FreeCAD migth work with python3 it has a lot issues and should be considered unstable.

Comment 2 Ben Cotton 2019-05-02 19:07:03 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Richard Shaw 2019-05-03 17:49:00 UTC
Ok, I'm a bit confused. This BZ is for Fedora 28 but the package you reference if .fc30.

Comment 4 Jason Tibbitts 2019-05-07 17:10:41 UTC
I can confirm that the F30 package depends on python3-pivy, not python2-pivy.  F29 still required the python2 version, which makes sense because the python3 version didn't exist in F29.

So I don't think there's a bug here.  There wasn't a bug originally, either, since F28 had no python3 version that freecad could use.

Comment 5 Richard Shaw 2019-05-07 18:47:20 UTC
The option is to build for both python 2 and python 3 on F30 and add it to the exception list... But I'm much prefer that freecad get updated to work with python 3, however, I have no idea when that work will be complete.

Comment 6 Richard Shaw 2019-05-11 12:21:40 UTC
*** Bug 1708853 has been marked as a duplicate of this bug. ***

Comment 7 Andrig Miller 2019-05-12 03:35:45 UTC
I tried installing the Fedora 29 Python2 Pivy package to see if that would be a temporary workaround, and it installs successfully, but it causes Freecad to crash when you actually attempt to use one of the workbenches that is dependent on this package.  So, since there isn't a workaround, it would be really helpful to me, if this could be resolved quickly, as I have a project with a deadline I need to complete, and I cannot do it without the Draft workbench working properly.

Comment 8 Richard Shaw 2019-05-12 12:17:09 UTC
I am working on building python2-pivy alongside python3-pivy but we're all volunteers here. If you have a hard deadline you may need to look at the appimage version FreeCAD upstream provides.

Comment 9 Andrig Miller 2019-05-12 12:59:55 UTC
Okay, I'll see about that as a workaround.  Thanks.

Comment 10 Richard Shaw 2019-05-12 19:00:34 UTC
Ok, gave up on python2-pivy but I'm working on FreeCAD 0.18.2 and I may be able to move over the Python3...

Comment 11 Fedora Update System 2019-05-12 19:02:19 UTC
freecad-0.18.2-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-41c50fb74c

Comment 12 Fedora Update System 2019-05-12 19:02:26 UTC
freecad-0.18.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8deac72f7

Comment 13 Richard Shaw 2019-05-12 19:03:14 UTC
When the builds make it into testing please try them out. I'm not going to push them to stable until I get verification it works.

Comment 14 Fedora Update System 2019-05-13 02:24:40 UTC
freecad-0.18.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-41c50fb74c

Comment 15 Fedora Update System 2019-05-13 09:53:39 UTC
freecad-0.18.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8deac72f7

Comment 16 Fedora Update System 2019-05-13 14:47:14 UTC
freecad-0.18.2-1.fc29 python-pivy-0.6.5-0.1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8deac72f7

Comment 17 Andrig Miller 2019-05-13 17:04:35 UTC
I installed the update to test it out, and it fails to load (Fedora 30) with the following:

[andrigtmiller@worklaptop /]$ FreeCAD
FreeCAD 0.18, Libs: 0.18RUnknown
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2019
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

During initialization the error Missing parentheses in call to 'print'. Did you mean print("Sheet Metal workbench loaded")? (<string>, line 26) occurred in /usr/lib64/freecad/Mod/SheetMetal/Init.py
Please look into the log file for further information
Program received signal SIGSEGV, Segmentation fault.
#0  /lib64/libc.so.6(+0x37f40) [0x7f4e1bc33f40]
#1  /lib64/libpython2.7.so.1.0(Py_InitModule4_64+0x42) [0x7f4e151d3e42]
#2  /usr/lib64/python3.7/site-packages/PySide/QtCore.so(PyInit_QtCore+0x51) [0x7f4df57f39c1]
#3  /lib64/libpython3.7m.so.1.0(_PyImport_LoadDynamicModuleWithSpec+0x17f) [0x7f4e1d1c971f]
#4  /lib64/libpython3.7m.so.1.0(+0x206aeb) [0x7f4e1d1c9aeb]
#5  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallDict+0x2d5) [0x7f4e1d0c6155]
#6  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallDict+0x23) [0x7f4e1d0c6283]
#7  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x6e31) [0x7f4e1d159251]
#8  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#9  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x2a0) [0x7f4e1d0f25b0]
#10  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#11  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x58f2) [0x7f4e1d157d12]
#12  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#13  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#14  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xc0e) [0x7f4e1d15302e]
#15  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#16  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#17  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#18  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#19  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#20  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#21  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#22  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#23  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#24  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallDict+0x11a) [0x7f4e1d0f2a7a]
#25  /lib64/libpython3.7m.so.1.0(+0x1017a7) [0x7f4e1d0c47a7]
#26  /lib64/libpython3.7m.so.1.0(_PyObject_CallMethodIdObjArgs+0xb9) [0x7f4e1d0ed849]
#27  /lib64/libpython3.7m.so.1.0(PyImport_ImportModuleLevelObject+0x29b) [0x7f4e1d12727b]
#28  /lib64/libpython3.7m.so.1.0(+0x164b04) [0x7f4e1d127b04]
#29  /lib64/libpython3.7m.so.1.0(PyCFunction_Call+0x7f) [0x7f4e1d0c631f]
#30  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x6e31) [0x7f4e1d159251]
#31  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#32  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x2a0) [0x7f4e1d0f25b0]
#33  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#34  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#35  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#36  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallDict+0x2ee) [0x7f4e1d0f2c4e]
#37  /lib64/libpython3.7m.so.1.0(+0x1017a7) [0x7f4e1d0c47a7]
#38  /lib64/libpython3.7m.so.1.0(_PyObject_CallMethodIdObjArgs+0xb9) [0x7f4e1d0ed849]
#39  /lib64/libpython3.7m.so.1.0(PyImport_ImportModuleLevelObject+0x1f2) [0x7f4e1d1271d2]
#40  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x2f99) [0x7f4e1d1553b9]
#41  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#42  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#43  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x58f2) [0x7f4e1d157d12]
#44  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#45  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#46  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#47  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#48  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f4e1d0f22e9]
#49  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f4e1d0f230b]
#50  /lib64/libpython3.7m.so.1.0(+0x189934) [0x7f4e1d14c934]
#51  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallDict+0x2d5) [0x7f4e1d0c6155]
#52  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallDict+0x23) [0x7f4e1d0c6283]
#53  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x6e31) [0x7f4e1d159251]
#54  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#55  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x2a0) [0x7f4e1d0f25b0]
#56  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#57  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x58f2) [0x7f4e1d157d12]
#58  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#59  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#60  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xc0e) [0x7f4e1d15302e]
#61  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#62  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#63  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#64  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#65  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#66  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#67  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallDict+0x11a) [0x7f4e1d0f2a7a]
#68  /lib64/libpython3.7m.so.1.0(+0x1017a7) [0x7f4e1d0c47a7]
#69  /lib64/libpython3.7m.so.1.0(_PyObject_CallMethodIdObjArgs+0xb9) [0x7f4e1d0ed849]
#70  /lib64/libpython3.7m.so.1.0(PyImport_ImportModuleLevelObject+0x29b) [0x7f4e1d12727b]
#71  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x2f99) [0x7f4e1d1553b9]
#72  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#73  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f4e1d0f22e9]
#74  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f4e1d0f230b]
#75  /lib64/libpython3.7m.so.1.0(+0x189934) [0x7f4e1d14c934]
#76  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallDict+0x2d5) [0x7f4e1d0c6155]
#77  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallDict+0x23) [0x7f4e1d0c6283]
#78  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x6e31) [0x7f4e1d159251]
#79  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#80  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x2a0) [0x7f4e1d0f25b0]
#81  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#82  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x58f2) [0x7f4e1d157d12]
#83  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#84  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#85  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xc0e) [0x7f4e1d15302e]
#86  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#87  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#88  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#89  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#90  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#91  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#92  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallDict+0x11a) [0x7f4e1d0f2a7a]
#93  /lib64/libpython3.7m.so.1.0(+0x1017a7) [0x7f4e1d0c47a7]
#94  /lib64/libpython3.7m.so.1.0(_PyObject_CallMethodIdObjArgs+0xb9) [0x7f4e1d0ed849]
#95  /lib64/libpython3.7m.so.1.0(PyImport_ImportModuleLevelObject+0x29b) [0x7f4e1d12727b]
#96  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0x2f99) [0x7f4e1d1553b9]
#97  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#98  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f4e1d0f22e9]
#99  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f4e1d0f230b]
#100  /lib64/libpython3.7m.so.1.0(+0x20250f) [0x7f4e1d1c550f]
#101  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7f4e1d14c80d]
#102  /lib64/libpython3.7m.so.1.0(+0x1899cb) [0x7f4e1d14c9cb]
#103  /lib64/libpython3.7m.so.1.0(_PyMethodDef_RawFastCallKeywords+0x78) [0x7f4e1d0c6458]
#104  /lib64/libpython3.7m.so.1.0(_PyCFunction_FastCallKeywords+0x23) [0x7f4e1d0c6773]
#105  /lib64/libpython3.7m.so.1.0(+0x1447f2) [0x7f4e1d1077f2]
#106  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#107  /lib64/libpython3.7m.so.1.0(_PyFunction_FastCallKeywords+0x102) [0x7f4e1d0f2412]
#108  /lib64/libpython3.7m.so.1.0(+0x1446df) [0x7f4e1d1076df]
#109  /lib64/libpython3.7m.so.1.0(_PyEval_EvalFrameDefault+0xb6a) [0x7f4e1d152f8a]
#110  /lib64/libpython3.7m.so.1.0(_PyEval_EvalCodeWithName+0x2f0) [0x7f4e1d0f1420]
#111  /lib64/libpython3.7m.so.1.0(PyEval_EvalCodeEx+0x39) [0x7f4e1d0f22e9]
#112  /lib64/libpython3.7m.so.1.0(PyEval_EvalCode+0x1b) [0x7f4e1d0f230b]
#113  /lib64/libpython3.7m.so.1.0(+0x20250f) [0x7f4e1d1c550f]
#114  /lib64/libpython3.7m.so.1.0(PyRun_StringFlags+0x7d) [0x7f4e1d14c80d]
#115  0x7f4e1d4a166e in Base::InterpreterSingleton::runString[abi:cxx11](char const*) from /usr/lib64/freecad/lib/libFreeCADBase.so+0xd8
#116  0x7f4e1eaa384f in Gui::Application::runInitGuiScript() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x37
#117  0x7f4e1eaa5403 in Gui::Application::runApplication() from /usr/lib64/freecad/lib/libFreeCADGui.so+0x1b9f
#118  FreeCAD(main+0xa17) [0x408033]
#119  /lib64/libc.so.6(__libc_start_main+0xf3) [0x7f4e1bc1ff33]
#120  FreeCAD(_start+0x2e) [0x4074ee]

Comment 18 Fedora Update System 2019-05-14 04:25:54 UTC
freecad-0.18.2-1.fc29, python-pivy-0.6.5-0.1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8deac72f7

Comment 19 Fedora Update System 2019-05-20 20:32:39 UTC
freecad-0.18.2-3.fc29 python-pivy-0.6.5-0.1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8deac72f7

Comment 20 Fedora Update System 2019-05-20 20:33:24 UTC
freecad-0.18.2-3.fc30 shiboken-1.2.4-13.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-41c50fb74c

Comment 21 Fedora Update System 2019-05-21 01:59:15 UTC
freecad-0.18.2-3.fc30, shiboken-1.2.4-13.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-41c50fb74c

Comment 22 Fedora Update System 2019-05-21 04:53:19 UTC
freecad-0.18.2-3.fc29, python-pivy-0.6.5-0.1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d8deac72f7

Comment 23 Richard Shaw 2019-05-21 12:21:41 UTC
Just tested the new F29 update and I can't get it to crash!

Comment 24 Fedora Update System 2019-05-23 14:26:24 UTC
freecad-0.18.2-3.fc30 python-pyside-1.2.4-9.fc30 shiboken-1.2.4-13.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-41c50fb74c

Comment 25 Fedora Update System 2019-05-23 18:58:14 UTC
freecad-0.18.2-3.fc30, python-pyside-1.2.4-9.fc30, shiboken-1.2.4-13.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-41c50fb74c

Comment 26 Fedora Update System 2019-05-29 02:59:19 UTC
freecad-0.18.2-3.fc29, python-pivy-0.6.5-0.1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2019-06-01 00:51:22 UTC
freecad-0.18.2-3.fc30, python-pyside-1.2.4-9.fc30, shiboken-1.2.4-13.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Victor Bogado 2019-06-07 23:57:34 UTC
About the "F28 this was my bad, all my issues were after upgrading from F29 to F30.


Note You need to log in before you can comment on or make changes to this bug.